<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{CD3F8CD7-7C82-4489-B01B-4077A20F3A87}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>OPlanner</RootNamespace>
    <AssemblyName>OPlanner</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
    <ApplicationIcon>Icon.ico</ApplicationIcon>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <ManifestCertificateThumbprint>D2991A1E81C1CEFAA498C6BA1D951FAF5C1B2146</ManifestCertificateThumbprint>
    <ManifestKeyFile>OPlanner_TemporaryKey.pfx</ManifestKeyFile>
    <GenerateManifests>true</GenerateManifests>
    <SignManifests>true</SignManifests>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <PublisherName>Nebstone</PublisherName>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <UseApplicationTrust>false</UseApplicationTrust>
    <PublishWizardCompleted>true</PublishWizardCompleted>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="ReachFramework">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Drawing" />
    <Reference Include="System.Printing">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data.DataSetExtensions">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="UIAutomationProvider">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="PresentationCore">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="PresentationFramework">
      <RequiredTargetFramework>3.0</RequiredTargetFramework>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <ApplicationDefinition Include="App.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </ApplicationDefinition>
    <Page Include="CanvasSizeProperties.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="About.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="MapInfoWindow.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="UpdateInfo.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="ScaleCoordinates.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="ErrorWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="RenumberControls.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="MapSettings.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="CoursesPanel.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="DescriptionsHeader.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ExportPrintDescriptions.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ExportPrintCourses.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="NewCourseObject.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="PrintPreview.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="PrintAreaProperties.xaml">
      <Generator>MSBuild:Compile</Generator>
      <SubType>Designer</SubType>
    </Page>
    <Page Include="MainWindow.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="CourseProperties.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ObjectProperties.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ObjectsPanel.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="OControlTextVisual.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <None Include="Temp.xaml">
      <SubType>Designer</SubType>
    </None>
    <Page Include="TemplatesAndStyles.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <Page Include="ToolsPanel.xaml">
      <SubType>Designer</SubType>
      <Generator>MSBuild:Compile</Generator>
    </Page>
    <None Include="UsefulCode.txt" />
    <Compile Include="App.xaml.cs">
      <DependentUpon>App.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Adorners.cs" />
    <Compile Include="CanvasSizeProperties.xaml.cs">
      <DependentUpon>CanvasSizeProperties.xaml</DependentUpon>
    </Compile>
    <Compile Include="About.xaml.cs">
      <DependentUpon>About.xaml</DependentUpon>
    </Compile>
    <Compile Include="MapInfoWindow.xaml.cs">
      <DependentUpon>MapInfoWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="UpdateInfo.xaml.cs">
      <DependentUpon>UpdateInfo.xaml</DependentUpon>
    </Compile>
    <Compile Include="ODrawingObjectVisual.cs" />
    <Compile Include="CustomPath.cs" />
    <Compile Include="OPlannerAbout.cs" />
    <Compile Include="ScaleCoordinates.xaml.cs">
      <DependentUpon>ScaleCoordinates.xaml</DependentUpon>
    </Compile>
    <Compile Include="CustomErrors.cs" />
    <Compile Include="ErrorWindow.xaml.cs">
      <DependentUpon>ErrorWindow.xaml</DependentUpon>
    </Compile>
    <Compile Include="ExportCoursesHelper.cs" />
    <Compile Include="RenumberControls.xaml.cs">
      <DependentUpon>RenumberControls.xaml</DependentUpon>
    </Compile>
    <Compile Include="CopyPaste.cs" />
    <Compile Include="MapSettings.xaml.cs">
      <DependentUpon>MapSettings.xaml</DependentUpon>
    </Compile>
    <Compile Include="NewCourseObject.xaml.cs">
      <DependentUpon>NewCourseObject.xaml</DependentUpon>
    </Compile>
    <Compile Include="CursorManager.cs" />
    <Compile Include="CoursesPanel.xaml.cs">
      <DependentUpon>CoursesPanel.xaml</DependentUpon>
    </Compile>
    <Compile Include="CustomSlider.cs" />
    <Compile Include="DataClasses.cs" />
    <Compile Include="DescriptionManager.cs" />
    <Compile Include="DescriptionsHeader.xaml.cs">
      <DependentUpon>DescriptionsHeader.xaml</DependentUpon>
    </Compile>
    <Compile Include="DragListBox.cs" />
    <Compile Include="ExportPrintDescriptions.xaml.cs">
      <DependentUpon>ExportPrintDescriptions.xaml</DependentUpon>
    </Compile>
    <Compile Include="ExportPrintCourses.xaml.cs">
      <DependentUpon>ExportPrintCourses.xaml</DependentUpon>
    </Compile>
    <Compile Include="OCourseDescriptionsVisual.cs" />
    <Compile Include="OControlVisual.cs" />
    <Compile Include="OPlannerHelper.cs" />
    <Compile Include="OToolButton.cs" />
    <Compile Include="OTransparentAreaVisual.cs" />
    <Compile Include="PrintPreview.xaml.cs">
      <DependentUpon>PrintPreview.xaml</DependentUpon>
    </Compile>
    <Compile Include="PrintAreaProperties.xaml.cs">
      <DependentUpon>PrintAreaProperties.xaml</DependentUpon>
    </Compile>
    <Compile Include="MainWindow.xaml.cs">
      <DependentUpon>MainWindow.xaml</DependentUpon>
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Misc.cs" />
    <Compile Include="CourseProperties.xaml.cs">
      <DependentUpon>CourseProperties.xaml</DependentUpon>
    </Compile>
    <Compile Include="ObjectProperties.xaml.cs">
      <DependentUpon>ObjectProperties.xaml</DependentUpon>
    </Compile>
    <Compile Include="ObjectsPanel.xaml.cs">
      <DependentUpon>ObjectsPanel.xaml</DependentUpon>
    </Compile>
    <Compile Include="OCanvas.cs" />
    <Compile Include="OCurrentInfo.cs" />
    <Compile Include="OObjectVisual.cs" />
    <Compile Include="OControlTextVisual.xaml.cs">
      <DependentUpon>OControlTextVisual.xaml</DependentUpon>
    </Compile>
    <Compile Include="OPlannerDefaults.cs" />
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="ToolsPanel.xaml.cs">
      <DependentUpon>ToolsPanel.xaml</DependentUpon>
    </Compile>
    <Compile Include="UndoRedo.cs" />
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <AppDesigner Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Open.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Save.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Close.png" />
    <Resource Include="Icons\Copy.png" />
    <Resource Include="Icons\Cut.png" />
    <Resource Include="Icons\New.png" />
    <Resource Include="Icons\Paste.png" />
    <Resource Include="Icons\Redo.png" />
    <Resource Include="Icons\Undo.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Control.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Select.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Exit.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icon.ico" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Print.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="DescriptionSymbols.xml">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Finish.png" />
    <Resource Include="Icons\Start.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Delete.png" />
    <Resource Include="Icons\Down.png" />
    <Resource Include="Icons\Up.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Add.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\CrossingPoint.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Rotate.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\TransparentArea.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\CourseDescriptions.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Freehand.png" />
    <Resource Include="Icons\Line.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\RotateCursor.cur" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\LineMode.png" />
    <Resource Include="Icons\TapedRoute.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\Text.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\InvisiblePoint.png" />
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.2.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 2.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.0">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.0 %28x86%29</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
      <Visible>False</Visible>
      <ProductName>Windows Installer 3.1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\OcdToXamlConverterLibrary\OcdToXamlConverterLibrary\OcdToXamlConverterLibrary.csproj">
      <Project>{A16E1D30-9462-40E2-8B99-3993125E3D6C}</Project>
      <Name>OcdToXamlConverterLibrary</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\DrinksPoint.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\OOBCross.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\OOBArea.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\FirstAidPoint.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\UncrossableBoundary.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\MeasureDistance.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\AddCurvePoint.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\AddNormalPoint.png" />
  </ItemGroup>
  <ItemGroup>
    <Resource Include="Icons\RemovePoint.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Changes.txt" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>